<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<%@page import="java.util.List"%>
<%@page import="br.usp.ime.forum.model.Topico"%>
<%@page import="br.usp.ime.forum.model.Mensagem"%>
<%@page import="java.text.SimpleDateFormat"%>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.w3.org/MarkUp/SCHEMA/xhtml11.xsd"
	xml:lang="pt">
<head>
	<style type="text/css">	
		/*<![CDATA[*/
			#divVoltarAoMenu{
				padding-top: 20px;
			}
			
			.tituloTabela{
				font-weight: bold;
				text-align: center;
			}
		/*]]>*/	
	</style>
	<title>Meus tpicos/mensagens</title>
</head>
<body>
<h3>Meus tpicos/mensagens</h3>

	<table>
		<thead>
			<tr>
				<td colspan="4" class="tituloTabela">
					Tpicos
				</td>
			</tr>
			<tr>
				<td>Ttulo</td>
				<td>Descrio</td>
				<td>Assunto</td>
				<td>Autor</td>
				<td>Excluir</td>
			</tr>
		</thead>
		<tbody>
			<%
			List<Topico> topicos = (List<Topico>)request.getAttribute("topicos");
			for(Topico topico: topicos){
				%>
				<tr>
					<td><%=topico.getTitulo()%></td>
					<td><%=topico.getDescricao()%></td>
					<td><%=topico.getAssunto().getTitulo()%></td>
					<td><%=topico.getAutor().getNomeDeUsuario()%></td>
					<td><a href='ExcluirTopicoServlet?idTopico=<%=topico.getId()%>'>Excluir</a></td>
				</tr>					
				<%				
			}
			%>
	
		</tbody>
	</table>
	<table>
		<thead>
			<tr>
				<td colspan="4" class="tituloTabela">
					Mensagens
				</td>
			</tr>
			<tr>
				<td>Tpico</td>
				<td>Texto</td>
				<td>Data/hora de criao</td>
				<td>Excluir</td>
			</tr>
		</thead>
		<tbody>
			<%
			SimpleDateFormat formatador = new SimpleDateFormat();
			List<Mensagem> mensagens = (List<Mensagem>)request.getAttribute("mensagens");
			for(Mensagem mensagemAtual : mensagens){
				Topico topicoAtual = mensagemAtual.getTopico();
				%>
				<tr>
					<td><%=topicoAtual.getTitulo()%></td>
					<td><%=mensagemAtual.getTexto()%></td>
					<td><%=formatador.format(mensagemAtual.getCriacao())%></td>
					<td><a href='ExcluirMensagemServlet?idTopico=<%=topicoAtual.getId()%>&idMensagem=<%=mensagemAtual.getId()%>'>Excluir</a></td>
				</tr>					
				<%				
			}
			%>
	
		</tbody>		
	</table>
	<div id="divVoltarAoMenu">
		<a href="home.jsp">Voltar ao menu</a>
	</div>
</body>
</html>
