package br.usp.ime.forum.servlet;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.UsuarioBusiness;
import br.usp.ime.forum.model.Usuario;

@SuppressWarnings("serial")
public class AlteracaoTipoUsuarioServlet extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		System.out.println("acaba de entrar aqui!1");
		preparaUsuarios(request);
		despachaParaPagina(request,response);
	}

	private void preparaUsuarios(HttpServletRequest request) {
		System.out.println("acaba de entrar aqui!2");
		UsuarioBusiness business = new UsuarioBusiness();
		List<Usuario> usuarios = business.getTodosOsUsuarios();
		request.setAttribute("usuarios", usuarios);
	}

	private void despachaParaPagina(HttpServletRequest request,HttpServletResponse response) throws ServletException, IOException {
		System.out.println("acaba de entrar aqui!3");
		RequestDispatcher dispatcher = request.getRequestDispatcher("/consulta_alterar_tipo_usuario.jsp");
		dispatcher.forward(request, response);
	}

}
