package br.usp.ime.forum.servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.UsuarioBusiness;
import br.usp.ime.forum.model.Privilegio;

@SuppressWarnings("serial")
public class AlterarTipoUsuarioServlet extends HttpServlet {

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String idUsuarioString = request.getParameter("idUsuario");
		Long idUsuario = Long.valueOf(idUsuarioString);
		Privilegio privilegio = Privilegio.valueOf(request.getParameter("tipoDeUsuario"));
		UsuarioBusiness business = new UsuarioBusiness();
		business.alteraPrivilegioUsuario(idUsuario, privilegio);
		response.sendRedirect("home.jsp");
	}

}
