package br.usp.ime.forum.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.UsuarioBusiness;

@SuppressWarnings("serial")
public class AutorizarUsuarioServlet extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		String idUsuarioString = request.getParameter("idUsuario");
		Long idUsuario = Long.valueOf(idUsuarioString);
		UsuarioBusiness business = new UsuarioBusiness();		
		business.autorizaUsuario(idUsuario);
		
		setMensagem("Usurio autorizado com sucesso!",request);
		redirecionaParaAutorizacao(request,response);
	}


	private void setMensagem(String mensagem, HttpServletRequest request) {
		request.setAttribute("mensagem",mensagem);		
	}
	

	private void redirecionaParaAutorizacao(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("/AutorizacaoUsuariosServlet");
		dispatcher.forward(request, response);
	}
}
