package br.usp.ime.forum.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import br.usp.ime.forum.business.AssuntoBusiness;
import br.usp.ime.forum.model.Usuario;

@SuppressWarnings("serial")
public class CadastrarAssuntoServlet extends HttpServlet {

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String titulo = request.getParameter("titulo");
		String descricao = request.getParameter("descricao");
		
		AssuntoBusiness business = new AssuntoBusiness();		
		HttpSession session = request.getSession();
		Usuario usuarioAtual = (Usuario) session.getAttribute("usuario"); 
		business.cadastraAssunto(titulo,descricao,usuarioAtual);
		
		redirecionaParaListagem(request, response);
	}

	private void redirecionaParaListagem(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
	
		RequestDispatcher dispatcher = request.getRequestDispatcher("/ListarAssuntosServlet");
		dispatcher.forward(request, response);
	}

}
