package br.usp.ime.forum.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import br.usp.ime.forum.business.TopicoBusiness;
import br.usp.ime.forum.model.Usuario;


@SuppressWarnings("serial")
public class CriarTopicoServlet extends HttpServlet {

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String idAssuntoString = request.getParameter("idAssunto");
		Long idAssunto = Long.valueOf(idAssuntoString);
		String titulo = request.getParameter("titulo");
		String descricao = request.getParameter("descricao");
		HttpSession session = request.getSession();
		Usuario usuario = (Usuario) session.getAttribute("usuario");
		
		TopicoBusiness business = new TopicoBusiness();
		
		business.criaTopico(idAssunto,titulo,descricao,usuario);
		request.setAttribute("mensagem", "Tpico criado com sucesso!");
		RequestDispatcher dispatcher = request.getRequestDispatcher("/home.jsp");
		dispatcher.forward(request, response);
	}

}
