package br.usp.ime.forum.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import br.usp.ime.forum.business.MensagemBusiness;
import br.usp.ime.forum.model.Mensagem;
import br.usp.ime.forum.model.Usuario;

@SuppressWarnings("serial")
public class EnviarMensagemServlet extends HttpServlet {

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String idTopicoString = request.getParameter("idTopico");		
		Long idTopico = Long.valueOf(idTopicoString);
		String textoMensagem = request.getParameter("mensagem");
		HttpSession session = request.getSession();
		Usuario usuario = (Usuario) session.getAttribute("usuario");		
		MensagemBusiness business = new MensagemBusiness();
		Mensagem mensagem = business.adicionaMensagem(idTopico,textoMensagem,usuario);
		
		request.setAttribute("mensagemEnviada", mensagem);
		
		despachaParaVisualizacao(request, response);
	}
	
	@Override
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		doPost(request, response);
	}

	private void despachaParaVisualizacao(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("/VisualizaTopicoServlet");
		dispatcher.forward(request, response);
	}

}
