<%@page import="java.util.List"%>
<%@page import="br.usp.ime.forum.model.Topico"%>
<%@page import="br.usp.ime.forum.model.Assunto"%>
<%@page import="br.usp.ime.forum.model.Mensagem"%>
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.w3.org/MarkUp/SCHEMA/xhtml11.xsd"
	xml:lang="pt">
<head>
	<style type="text/css">	
		/*<![CDATA[*/
			#divVoltarAoMenu{
				padding-top: 15px;
			}	
		/*]]>*/	
	</style>
	<title>Buscar Tpicos/Mensagens</title>
</head>
<body>


<form action="BuscarTopicosMensagensServlet" method="post">
	<div>	
		Buscar: <input type="text" name="textoParaBusca"/>
	</div> 
	<div>
		<input type="submit" value="Buscar"/>
	</div>
</form>


<fieldset>
	<legend>Resultado da busca:</legend>
	<%
	List<Topico> topicos = (List<Topico>) request.getAttribute("topicos");
	if(topicos != null){					
		for(Topico topicoAtual : topicos){
			Assunto assuntoAtual = topicoAtual.getAssunto();
			%>
			<div>
				<a href="VisualizaAssuntoServlet?idAssunto=<%= assuntoAtual.getId()%>"><%=assuntoAtual.getTitulo()%></a> &gt;
				<a href="VisualizaTopicoServlet?idTopico=<%=topicoAtual.getId()%>"><%=topicoAtual.getTitulo()%></a>
			</div>
			<%
		}		
	}

	List<Mensagem> mensagens = (List<Mensagem>) request.getAttribute("mensagens");
	if(mensagens!= null){
		for(Mensagem mensagemAtual : mensagens){
			Topico topicoAtual = mensagemAtual.getTopico();
			Assunto assuntoAtual = topicoAtual.getAssunto();			
			%>
			<div>
				<a href="VisualizaAssuntoServlet?idAssunto=<%= assuntoAtual.getId()%>"><%=assuntoAtual.getTitulo()%></a> &gt;
				<a href="VisualizaTopicoServlet?idTopico=<%=topicoAtual.getId()%>"><%=topicoAtual.getTitulo()%></a> &gt;
				<a href="VisualizaTopicoServlet?idTopico=<%=topicoAtual.getId()%>#mensagem<%=mensagemAtual.getId()%>">Mensagem por:<%=mensagemAtual.getAutor().getNomeDeUsuario()%></a>
			</div>
			<%		
		}
	}
	%>
</fieldset>




<div id="divVoltarAoMenu">
	<a href="home.jsp">Voltar ao menu</a>
</div>


</body>
</html>