<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<%@page import="java.util.List"%>
<%@page import="br.usp.ime.forum.model.Mensagem"%>
<%@page import="br.usp.ime.forum.model.Usuario"%>
<%@page import="br.usp.ime.forum.model.Topico"%>
<%@page import="br.usp.ime.forum.business.MensagemBusiness"%>
<%@page import="br.usp.ime.forum.model.Privilegio"%>
<%@page import="java.text.SimpleDateFormat"%>


<%@page import="br.usp.ime.forum.business.MensagemBusiness"%><html xmlns="http://www.w3.org/1999/xhtml" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.w3.org/MarkUp/SCHEMA/xhtml11.xsd"
	xml:lang="pt">
<head>
	<style type="text/css">	
		/*<![CDATA[*/
			#divBotao{
				padding-top: 5px;
			}	
		/*]]>*/	
	</style>
	<script src="js/jquery-1.3.2.min.js"></script>
	<script src="js/visualizar_topico.js"></script>
	<title>Visualizar tpico</title>
</head>

<%
Topico topico = (Topico)request.getAttribute("topico");
MensagemBusiness mensagemBusiness = new MensagemBusiness();
List<Mensagem> mensagens = mensagemBusiness.getMensagensDoTopico(topico);
%>
<body onload="iniciaPagina()">
<h3>Visualizar tpico</h3>	
	<div>Titulo: <%=topico.getTitulo() %></div>
	<div>Autor: <%=topico.getAutor().getNome() %></div>
	<div>Assunto: <%=topico.getAssunto().getTitulo() %></div>
	<div>Descricao: <%=topico.getDescricao() %></div>
	<%
	Usuario usuario = (Usuario) request.getSession().getAttribute("usuario");
	if((usuario != null 
			&& usuario.getPrivilegio().equals(Privilegio.MODERADOR)) 
			|| usuario.getPrivilegio().equals(Privilegio.ADMINISTRADOR)){
		%>
		<div><a href="ExcluirTopicoServlet?idTopico=<%=topico.getId() %>">Excluir tpico</a></div>
		<%
	}
	%>
	
	<fieldset>
		<legend>Mensagens</legend>
	<%
	if(mensagens != null){
		Mensagem mensagemEnviada = (Mensagem) request.getAttribute("mensagemEnviada");
		SimpleDateFormat formatador = new SimpleDateFormat("dd/MM/yyyy - HH:mm:ss");
		for(Mensagem mensagemAtual : mensagens){
			Usuario autor = mensagemAtual.getAutor();
			
			%>
			<a name="<%="mensagem" + mensagemAtual.getId() %>" />
			<%
			if(mensagemEnviada != null && mensagemAtual.getId().equals(mensagemEnviada.getId())){
				%>
				<div id="divMensagemEnviada">
				<%
			}else{
				%>
				<div>
				<%
			}
			%>
			
			<%=formatador.format(mensagemAtual.getCriacao())%> - <%=autor.getNomeDeUsuario() %> diz: <%=mensagemAtual.getTexto() %>
			<%
			if((usuario != null 
					&& usuario.getPrivilegio().equals(Privilegio.MODERADOR)) 
					|| usuario.getPrivilegio().equals(Privilegio.ADMINISTRADOR)){
				%>
				 - <a href="ExcluirMensagemServlet?idTopico=<%=topico.getId()%>&idMensagem=<%=mensagemAtual.getId()%>">Excluir mensagem</a></div>
				<%
			}
			%>
			</div>
			<%
		}			
	}
	%>
	</fieldset>	
	<%
	if(usuario != null && !(usuario.getPrivilegio().equals(Privilegio.VISITANTE))){
		%>
		<form action="EnviarMensagemServlet">
			<input type="hidden" name="idTopico" value="<%=topico.getId()%>" />
			<div>Mensagem: <textarea rows="5" cols="30" name="mensagem"></textarea></div>
			<div id="divBotao"><input type="submit" value="Enviar mensagem"/></div>
		</form>
		<%
	}
	%>
	

	<div id="divVoltarAoMenu">
		<a href="home.jsp">Voltar ao menu</a>
	</div>

</body>
</html>