package br.usp.ime.forum.model;

import java.util.ArrayList;
import java.util.List;

public class Assunto {

	private Long id;
	private Usuario autor;
	private String titulo;
	private String descricao;
	private List<Topico> topicos = new ArrayList<Topico>();
	
	public Assunto(String titulo,String descricao,Usuario autor) {
		this.titulo = titulo;
		this.descricao = descricao;
		this.autor = autor;
	}
	

	public Topico adicionaTopico(String titulo, String descricao,Usuario autor) {
		Topico topico = new Topico(titulo,descricao,this,autor);
		topicos.add(topico);
		return topico;
	}
	
	public Usuario getAutor() {
		return autor;
	}
	public void setAutor(Usuario autor) {
		this.autor = autor;
	}
	public String getTitulo() {
		return titulo;
	}
	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}
	public String getDescricao() {
		return descricao;
	}
	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}


	public List<Topico> getTopicos() {
		return topicos;
	}


	public void setTopicos(List<Topico> topicos) {
		this.topicos = topicos;
	}

	
}
