package br.usp.ime.forum.servlet;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.UsuarioBusiness;
import br.usp.ime.forum.model.Usuario;


@SuppressWarnings("serial")
public class AutorizacaoUsuariosServlet extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {		
		
		UsuarioBusiness business = new UsuarioBusiness();
		List<Usuario> usuarios = business.getUsuariosNaoAutorizados();
		request.setAttribute("usuarios", usuarios);
		RequestDispatcher dispatcher = request.getRequestDispatcher("/autorizar_usuarios.jsp");
		dispatcher.forward(request, response);
	}

}
