package br.usp.ime.forum.servlet;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.BuscaBusiness;
import br.usp.ime.forum.model.Usuario;

@SuppressWarnings("serial")
public class BuscarUsuariosServlet extends HttpServlet {

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String piece = request.getParameter("piece");
		BuscaBusiness buscaBusiness = new BuscaBusiness();
		List<Usuario> resultado = buscaBusiness.buscarUsuarios(piece);
		request.getSession().setAttribute("resultadoBusca", resultado);
		redireciona("/buscar_usuarios.jsp", request, response);
	}
	
	private void redireciona(String pagina, HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher(pagina);
		dispatcher.forward(request, response);
	}

}
