package br.usp.ime.forum.servlet;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.AssuntoBusiness;
import br.usp.ime.forum.model.Assunto;

@SuppressWarnings("serial")
public class CriacaoTopicoServlet extends HttpServlet {


	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		preparaAssuntos(request);
		despachaParaPagina(request,response);
		
	}

	private void despachaParaPagina(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("criar_topico.jsp");
		dispatcher.forward(request, response);
		
	}

	private void preparaAssuntos(HttpServletRequest request) {
		AssuntoBusiness business = new AssuntoBusiness();
		List<Assunto> assuntos = business.getTodosOsAssuntos();
		request.setAttribute("assuntos", assuntos);
	}

}
