package br.usp.ime.forum.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.AssuntoBusiness;
import br.usp.ime.forum.model.Assunto;

@SuppressWarnings("serial")
public class EdicaoAssuntoServlet extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String idAssuntoString = request.getParameter("idAssunto");
		Long idAssunto = Long.valueOf(idAssuntoString);
		AssuntoBusiness business = new AssuntoBusiness();
		Assunto assunto = business.getAssuntoPorId(idAssunto);
		request.setAttribute("assunto", assunto);
		despachaParaPagina(request, response);
	}

	private void despachaParaPagina(HttpServletRequest request,HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("/editar_assunto.jsp");
		dispatcher.forward(request, response);
	}

}
