package br.usp.ime.forum.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.AssuntoBusiness;

@SuppressWarnings("serial")
public class EditarAssuntoServlet extends HttpServlet {

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String idAssuntoString = request.getParameter("idAssunto");
		Long idAssunto = Long.valueOf(idAssuntoString);		
		String titulo = request.getParameter("titulo");
		String descricao = request.getParameter("descricao");
		
		AssuntoBusiness business = new AssuntoBusiness();
		business.editaAssunto(idAssunto,titulo,descricao);
		
		redirecionaParaListagem(request, response);
	}

	private void redirecionaParaListagem(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("/ListarAssuntosServlet");
		dispatcher.forward(request, response);
	}

}
