package br.usp.ime.forum.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.AssuntoBusiness;

@SuppressWarnings("serial")
public class ExcluirAssuntoServlet extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		String idAssuntoString = request.getParameter("idAssunto");
		Long idAssunto = Long.valueOf(idAssuntoString);
		AssuntoBusiness business = new AssuntoBusiness();
		business.excluiAssunto(idAssunto);
		redirecionaParaAssuntos(request,response);
	}

	private void redirecionaParaAssuntos(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("/ListarAssuntosServlet");
		dispatcher.forward(request, response);		
	}


}
