package br.usp.ime.forum.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.MensagemBusiness;

@SuppressWarnings("serial")
public class ExcluirMensagemServlet extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String idTopicoString = request.getParameter("idTopico");
		Long idTopico = Long.valueOf(idTopicoString);
		String idMensagemString = request.getParameter("idMensagem");
		Long idMensagem = Long.valueOf(idMensagemString);
		
		MensagemBusiness business = new MensagemBusiness();
		business.removeMensagem(idTopico,idMensagem);
		
		setMensagem(request);
		despachaParaHome(request, response);
		
	}

	private void setMensagem(HttpServletRequest request) {
		request.setAttribute("mensagem", "Mensagem excluda com sucesso!");		
	}

	private void despachaParaHome(HttpServletRequest request,HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher requestDispatcher = request.getRequestDispatcher("/home.jsp");
		requestDispatcher.forward(request, response);
	}

}
