package br.usp.ime.forum.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.forum.business.TopicoBusiness;

@SuppressWarnings("serial")
public class ExcluirTopicoServlet extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String isTopicoString = request.getParameter("idTopico");
		Long idTopico = Long.valueOf(isTopicoString);
		TopicoBusiness business = new TopicoBusiness();
		business.excluirTopico(idTopico);
		setMensagem("Tpico excluido com sucesso!",request);
		redirecionaParaHome(request,response);
	}
	
	private void setMensagem(String mensagem, HttpServletRequest request) {
		request.setAttribute("mensagem", mensagem);
	}

	private void redirecionaParaHome(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("/home.jsp");
		dispatcher.forward(request, response);		
	}

}
